# Interface CompanionAd

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.CompanionAd

interface CompanionAd {
getAdSlotId(): null | string;
getContent(): string;
getContentType(): null | string;
getHeight(): number;
getWidth(): number;
}

#####
Index

### Methods

getAdSlotId
getContent
getContentType
getHeight
getWidth

## Methods

### getAdSlotId

- getAdSlotId(): null | string

- #### Returns null | string

### getContent

- getContent(): string

- #### Returns string

### getContentType

- getContentType(): null | string

- #### Returns null | string

### getHeight

- getHeight(): number

- #### Returns number

### getWidth

- getWidth(): number

- #### Returns number